Bug Hunting Session
Bug 121305 - EDITING: Circle is not circular
Summary: EDITING: Circle is not circular
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.4.7.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-09 10:05 UTC by Robert Großkopf
Modified: 2018-11-19 10:08 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Document shows 2 circles 13cm radius. The circles do not coincide. (9.62 KB, application/vnd.oasis.opendocument.graphics)
2018-11-09 10:05 UTC, Robert Großkopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2018-11-09 10:05:56 UTC
Created attachment 146488 [details]
Document shows 2 circles 13cm radius. The circles do not coincide.

Open Draw.
Draw a big circle with Shapes > Circle.
Copy this shape.
Insert so you get two shapes.
Turn the circle 45 degrees.
First and second circle aren't the same. The circle isn't circular.

Tested with LO 6.1.3.2 64bit rpm Linux.
Comment 1 Vera Blagoveschenskaya 2018-11-09 10:39:10 UTC
Reproduced for

Version: 6.2.0.0.alpha1+
Build ID: 3d70b1253f964fb75cd4b5915b8dd031ee54d5c7
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-08_16:22:16
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Telesto 2018-11-09 21:36:29 UTC
Steps to reproduce from scratch

1. Insert a ellipse
2. Click the figure and press f4
3. Set the size: height/Width to 15
4. Press Ok
5. Copy the circle & paste & and change the color of the circle (for difference)
6. Press F4 for the second circle
7. Go to rotation tab & rotate the circle 30 degrees (or something else)
8. Press OK -> circle not circular
9. Press F4 for the second circle (again)
10. Take a look at Size (18,21)
11. Set it to 15 -> Circle shrinks

Also found in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 3 Regina Henschel 2018-11-12 19:24:04 UTC
I'm going to use a 12-segment solution instead of the current 4-segment solution.
Comment 4 Regina Henschel 2018-11-14 13:40:20 UTC
Proposed patch is in https://gerrit.libreoffice.org/#/c/63366/
Comment 5 Commit Notification 2018-11-16 16:47:05 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/c4c1636b5132261e64492de38f252b19b77e69b8%5E%21

tdf#121305 Increase accuracy of custom shape circle

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-11-19 09:59:40 UTC
Solved.

Tested on:
Version: 6.2.0.0.beta1
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 BogdanB 2018-11-19 10:01:31 UTC
It is not perfect, but is much better than in 6.0.
Comment 8 Regina Henschel 2018-11-19 10:08:08 UTC
The follow up issue for increasing accuracy of circles and arcs in general is bug 121425.